All Classes Namespaces Functions Variables Pages
LangevinIntegrator Class Reference

This is an Integrator which simulates a System using Langevin dynamics. More...

Inheritance diagram for LangevinIntegrator:

## Public Member Functions

def | getTemperature
| getTemperature(LangevinIntegrator self) -> double More...
def | setTemperature
| setTemperature(LangevinIntegrator self, double temp) More...
def | getFriction
| getFriction(LangevinIntegrator self) -> double More...
def | setFriction
| setFriction(LangevinIntegrator self, double coeff) More...
def | getRandomNumberSeed
| getRandomNumberSeed(LangevinIntegrator self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(LangevinIntegrator self, int seed) More...
def | step
| step(LangevinIntegrator self, int steps) More...
def | __init__
| init(OpenMM::LangevinIntegrator self, double temperature, double frictionCoeff, double stepSize) -> LangevinIntegrator init(OpenMM::LangevinIntegrator self, LangevinIntegrator other) -> LangevinIntegrator More...
def | __del__
| del(OpenMM::LangevinIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This is an Integrator which simulates a System using Langevin dynamics.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::LangevinIntegrator self, double temperature, double frictionCoeff, double stepSize) -> LangevinIntegrator init(OpenMM::LangevinIntegrator self, LangevinIntegrator other) -> LangevinIntegrator

Create a LangevinIntegrator.

Parameters

  temperature | the temperature of the heat bath (in Kelvin)
  frictionCoeff | the friction coefficient which couples the system to the heat bath (in inverse picoseconds)
  stepSize | the step size with which to integrate the system (in picoseconds)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::LangevinIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getFriction | ( |  | self,
|  |  | args
| ) |  |

getFriction(LangevinIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(LangevinIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def getTemperature | ( |  | self,
|  |  | args
| ) |  |

getTemperature(LangevinIntegrator self) -> double

Get the temperature of the heat bath (in Kelvin).

References simtk.openmm.openmm.stripUnits().

def setFriction | ( |  | self,
|  |  | args
| ) |  |

setFriction(LangevinIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters

  coeff | the friction coefficient, measured in 1/ps

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(LangevinIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def setTemperature | ( |  | self,
|  |  | args
| ) |  |

setTemperature(LangevinIntegrator self, double temp)

Set the temperature of the heat bath (in Kelvin).

Parameters

  temp | the temperature of the heat bath, measured in Kelvin

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(LangevinIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py